package com.iscs.bozzys.ui.common

import androidx.lifecycle.ViewModel
import com.iscs.bozzys.ui.pages.vm.StateLoading
import kotlinx.coroutines.flow.MutableSharedFlow

/**
 * 基类Model需要其他继承
 */
open class VMBase : ViewModel() {

    /**
     * Toast 事件
     */
    val toast = MutableSharedFlow<Any>()

    val loading = MutableSharedFlow<StateLoading>()
}